| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions

# IG::Neural::NeuralTrainingTableDto Class Reference

Transfer Object (DTO) for neural network training results. More...

Inheritance diagram for IG::Neural::NeuralTrainingTableDto:
[legend]
Collaboration diagram for IG::Neural::NeuralTrainingTableDto:
[legend]

List of all members.

## Public Member Functions
override NeuralTrainingTable | CreateObject ()
| Creates and returns a new object of the corresponding type.
## Public Attributes
NeuralTrainingLimitsDto | TrainingLimits
| Contains Parameters that define neural network architecture limits and trainig parameter limits.
NeuralTrainingParametersDto[] | TrainingParameters
| Contains Parameters that define neural network architecture and trainig procedure, together with achieved results after training such as various error norms.
## Protected Member Functions
override void | CopyFromPlain (NeuralTrainingTable trainingResults)
| Copies the specified training results to the current DTO.
override void | CopyToPlain (ref NeuralTrainingTable trainingResults)
| Copies contents of the current DTO to the specified training results object.

## Detailed Description

Transfer Object (DTO) for neural network training results.

$A Tako78 Aug12;

## Member Function Documentation

override NeuralTrainingTable IG::Neural::NeuralTrainingTableDto::CreateObject | ( |  | ) | `[inline]`

Creates and returns a new object of the corresponding type.

override void IG::Neural::NeuralTrainingTableDto::CopyFromPlain | ( | NeuralTrainingTable | trainingResults | ) | `[inline, protected]`

Copies the specified training results to the current DTO.

Parameters:

  trainingParameters | Object that is copied to the current DTO.

override void IG::Neural::NeuralTrainingTableDto::CopyToPlain | ( | ref NeuralTrainingTable | trainingResults | ) | `[inline, protected]`

Copies contents of the current DTO to the specified training results object.

Parameters:

  trainingParameters | Object that the current DTO content is copied to.

## Member Data Documentation

NeuralTrainingLimitsDto IG::Neural::NeuralTrainingTableDto::TrainingLimits

Contains Parameters that define neural network architecture limits and trainig parameter limits.

NeuralTrainingParametersDto [] IG::Neural::NeuralTrainingTableDto::TrainingParameters

Contains Parameters that define neural network architecture and trainig procedure, together with achieved results after training such as various error norms.

The documentation for this class was generated from the following file:

- SerializationDtoNeural.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events